com.io7m.jtensors.core.parameterized.matrices

## Interface PMatrix4x4FType<A,B>

- Type Parameters:
    `A` - A phantom type parameter (possibly representing a source coordinate system)
    `B` - A phantom type parameter (possibly representing a target coordinate system)
  All Superinterfaces:
    MatrixComputationalType, MatrixReadable4x4FType, MatrixReadableFType, PMatrixReadable4x4FType<A,B>
  All Known Implementing Classes:
    PMatrix4x4F

      public interface PMatrix4x4FType<A,B>
      extends PMatrixReadable4x4FType<A,B>, MatrixComputationalType

  The type of 4x4 `float`-typed matrices.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `r0c0()`
    `float` | `r0c1()`
    `float` | `r0c2()`
    `float` | `r0c3()`
    `float` | `r1c0()`
    `float` | `r1c1()`
    `float` | `r1c2()`
    `float` | `r1c3()`
    `float` | `r2c0()`
    `float` | `r2c1()`
    `float` | `r2c2()`
    `float` | `r2c3()`
    `float` | `r3c0()`
    `float` | `r3c1()`
    `float` | `r3c2()`
    `float` | `r3c3()`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable4x4FType

      `rowColumn`

- - ### Method Detail

    - #### r0c0

          float r0c0()

      Specified by:
        `r0c0` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 0 column 0

    - #### r0c1

          float r0c1()

      Specified by:
        `r0c1` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 0 column 1

    - #### r0c2

          float r0c2()

      Specified by:
        `r0c2` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 0 column 2

    - #### r0c3

          float r0c3()

      Specified by:
        `r0c3` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 0 column 3

    - #### r1c0

          float r1c0()

      Specified by:
        `r1c0` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 1 column 0

    - #### r1c1

          float r1c1()

      Specified by:
        `r1c1` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 1 column 1

    - #### r1c2

          float r1c2()

      Specified by:
        `r1c2` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 1 column 2

    - #### r1c3

          float r1c3()

      Specified by:
        `r1c3` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 1 column 3

    - #### r2c0

          float r2c0()

      Specified by:
        `r2c0` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 2 column 0

    - #### r2c1

          float r2c1()

      Specified by:
        `r2c1` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 2 column 1

    - #### r2c2

          float r2c2()

      Specified by:
        `r2c2` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 2 column 2

    - #### r2c3

          float r2c3()

      Specified by:
        `r2c3` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 2 column 3

    - #### r3c0

          float r3c0()

      Specified by:
        `r3c0` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 3 column 0

    - #### r3c1

          float r3c1()

      Specified by:
        `r3c1` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 3 column 1

    - #### r3c2

          float r3c2()

      Specified by:
        `r3c2` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 3 column 2

    - #### r3c3

          float r3c3()

      Specified by:
        `r3c3` in interface `MatrixReadable4x4FType`
      Returns:
        The value at row 3 column 3

Copyright © 2017 <code@io7m.com> http://io7m.com